Tip / Sign in to post questions, reply, level up, and achieve exciting badges. Know more

PSoC™ Creator & Designer Forum Discussions

Ant0n
Level 1
First like given First reply posted First question asked
Level 1

Hello,

I've just downloaded the PSoC Creator 4.4 and I'm trying to build an exisiting project. However, I can't do it as PSoC Creator can't update it's components to the required versions:

Ant0n_0-1658258730737.png

My project needs cy_boot to be version 6.10, but only 6.0 is available. Also, it need cy_isr to be 1.71, but only 1.70 is available.

According to Help -> Update Manager, everything is up to date:

Ant0n_1-1658259285504.png

Here is some information about my environment, installed products etc, Help -> About:

 

Spoiler

Environment:
PSoC Creator 4.4 (4.4.0.80)
Culture: English (United States)
OS Version: Microsoft Windows NT 10.0.19043.0
CLR Version: 4.0.30319.42000

Installed CyInstaller Products:
Peripheral Driver Library 3.1.1
Peripheral Driver Library 3.1.3
Peripheral Driver Library 3.1.5
PSoC Programmer 3.29.1
PSoC Creator 4.4

Loaded Plugins:
Name: Customizer Loader
Version: 4.4.0.80
Company: Cypress Semiconductor
Description: Loads component customizers.

Name: Addin Discovery
Version: 4.4.0.80
Company: Cypress Semiconductor
Description: Discovers PSoC Creator addins (kits, language packs, etc)

Name: Device Catalog
Version: 4.4.0.80
Company: Cypress Semiconductor
Description: Device Catalog Plugin

Name: Documentation
Version: 4.4.0.80
Company: Cypress Semiconductor
Description: Adds the topics available in the documentation.

Name: Start Page
Version: 4.4.0.80
Company: Cypress Semiconductor
Description: Adds a start page to the framework.

Name: Output Window Plugin
Version: 4.4.0.80
Company: Cypress Semiconductor
Description: Adds the output window

Name: SCC Manager
Version: 4.4.0.80
Company: Cypress Semiconductor
Description: The Source Code Control Manager is the central class used for SCC actions within PSoC Creator.

Name: Symbol, Schematic and SchMacro Factory
Version: 4.4.0.80
Company: Cypress Semiconductor
Description: The Symbol and Schematic Factory is used to load, cache, and retrieve symbols and schematics.

Name: Project Manager Plugin
Version: 4.4.0.80
Company: Cypress Semiconductor
Description: Adds project management related functionality.

Name: GDE Plugin
Version: 4.4.0.80
Company: Cypress Semiconductor
Description: Loads the Symbol and Schematic editors

Name: Language Plugin
Version: 4.4.0.80
Company: Cypress Semiconductor
Description: Supports user files in multiple languages

Name: Workspace Factory
Version: 4.4.0.80
Company: Cypress Semiconductor
Description: The Workspace Factory is used to retrieve instances of PSoC Creator workspaces.

Name: Project Factory
Version: 4.4.0.80
Company: Cypress Semiconductor
Description: The Project Factory is used to retrieve instances of PSoC Creator projects.

Name: Toolchain Manager
Version: 4.4.0.80
Company: Cypress Semiconductor
Description: PSoC Creator Toolchain Manager

Name: ARM GCC Generic
Version: 4.4.0.80
Company: Cypress Semiconductor
Description: ARM GNU Generic

Name: ARM MDK Generic
Version: 4.4.0.80
Company: Cypress Semiconductor
Description: ARM MDK Generic

Name: ARM IAR Generic
Version: 4.4.0.80
Company: Cypress Semiconductor
Description: ARM IAR Generic

Name: DP8051 Keil Generic
Version: 4.4.0.80
Company: Cypress Semiconductor
Description: DP8051 Keil Generic

Name: Device Selector
Version: 4.4.0.80
Company: Cypress Semiconductor
Description: Adds a dialog that allows the user to select a device.

Name: File Editor Factory Plugin
Version: 4.4.0.80
Company: Cypress Semiconductor
Description: Add file editors to the framework.

Name: Transport Framework
Version: 4.4.0.80
Company: Cypress Semiconductor
Description: Provides a generic device communication framework for use by other plugins.

Name: Debugger Core
Version: 4.4.0.80
Company: Cypress Semiconductor
Description: The Core Debugger provides an architecture independent framework for the common debug features.

Name: PSoC Debugger
Version: 4.4.0.80
Company: Cypress Semiconductor
Description: Provides debugging support for the different PSoC families through a GDB back end.

Name: FM Debugger
Version: 4.4.0.80
Company: Cypress Semiconductor
Description: Provides debugging support for FM device families

Name: Device IO Transport
Version: 4.4.0.80
Company: Cypress Semiconductor
Description: Provides device IO support for Cypress devices though PSoC Programmer APIs.

Name: Serial Transport
Version: 4.4.0.80
Company: Cypress Semiconductor
Description: Provides basic serial device support for the rest of the tool.

Name: Bootloader Host
Version: 4.4.0.80
Company: Cypress Semiconductor
Description: Provides a host tool to perform bootloading operations.

Name: Background Elaborator
Version: 4.4.0.80
Company: Cypress Semiconductor
Description: PSoC Creator Background Elaborator.

Name: TypeCache Factory
Version: 4.4.0.80
Company: Cypress Semiconductor
Description: The TypeCache Factory is used to retrieve instances of TypeCaches.

Name: PSoC Fitter
Version: 4.4.0.80
Company: Cypress Semiconductor
Description: PSoC Fitter Plugin

Name: FM Fitter
Version: 4.4.0.80
Company: Cypress Semiconductor
Description: FM Fitter Plugin

Name: DWR Plugin
Version: 4.4.0.80
Company: Cypress Semiconductor
Description: Registers resource editors with devices.

Name: DMA Wizard
Version: 4.4.0.80
Company: Cypress Semiconductor
Description: Enables quick and correct development of applications that use DMA.

Name: Tuner Plugin
Version: 4.4.0.80
Company: Cypress Semiconductor
Description: Manages custom component tuner executables

Name: Notice Window
Version: 4.4.0.80
Company: Cypress Semiconductor
Description: The Notice Window displays notices (status messages / errors with managed lifetimes).

I've already tried a lot of things to solve this problem. Probably the only thing I didn't do is to reinstall the OS 🙂 

I have a feeling that PSoC Creator is not able to download these required components from some remote server(s). This guess is also supported by what I found in the PSoC Creator logs (C:\Users\<user>\AppData\Local\Temp\PSoC Creator-000.log):

 

Unable to download latest online manifest: The underlying connection was closed: Could not establish trust relationship for the SSL/TLS secure channel.

 

It should also be mentioned that this problem is observed for different computers located on different networks. That is why I think the problem is related to some server, and not to the computer.

0 Likes
1 Solution
Gautami_12
Moderator
Moderator 50 solutions authored 25 likes received First comment on blog
Moderator

Hi @Ant0n,

This issue was due to PSoC Creator Update Server cannot be accessed.
Now it's solved. You can try updating components to the required versions in PSoC Creator.

Gautami_12_0-1663133910083.png

Thanks for your Patience.

Warm Regards,
Gautami J

 

 

View solution in original post

0 Likes
11 Replies
SampathS_11
Moderator
Moderator 250 sign-ins 250 solutions authored 5 questions asked
Moderator

Hello @Ant0n ,

The components you have indicated have higher version numbers, than the version which is available for updating. Can you try by equalizing the version numbers to the one available for update?

I did try downgrading versions and updating versions, and the component updater seems to be executing the tasks correctly. Hence, I do not suspect this could be a problem with the update server. I have attached a copy of the log to this post. I suspect firewall or anti-virus configuration may cause this issue. I will try to get further details and update you.

Best regards,

Sampath Selvaraj

0 Likes
Ant0n
Level 1
First like given First reply posted First question asked
Level 1

Hello @SampathS_11,

Thank you so much for your reply!

> The components you have indicated have higher version numbers, than the version which is available for updating. Can you try by equalizing the version numbers to the one available for update?

Unfortunately I can't do it. The project I'm trying to build requires these components (cy_boot, cy_isr) to have specific versions (6.10 and 1.71 accordingly). Of course I could try to use components of different versions, but it could break something in the project.

I also know for sure that components I'm looking for do exist (cy_boot_v6_10 and cy_isr_v1_71) the problem is just PSoC Creator can't download/use them.

I did try downgrading versions and updating versions, and the component updater seems to be executing the tasks correctly. Hence, I do not suspect this could be a problem with the update server.

Are you sure that in this case the PSoC Creator really downloaded something from the server? Could it be that during this "downgrading versions and updating versions" process PSoC Creator was just using local files that were downloaded previously, let's say at a time when the server was still running? Please note that in my case I am dealing with a freshly installed PSoC Creator that probably has not had time to download local files yet.

0 Likes
jonec_4287696
Level 1
First like received First reply posted Welcome!
Level 1

I am having exactly the same problem. Fresh install of 4.4. Colleague created a project on another machine and it uses 6.10 and 1.71, which I cannot get or update to. Suspect it is a recent problem

jonec_4287696
Level 1
First like received First reply posted Welcome!
Level 1

I have just received a certificate error on the site - expired July 8th 2022. Anything to do with it?

0 Likes
Gautami_12
Moderator
Moderator 50 solutions authored 25 likes received First comment on blog
Moderator

Hi @Ant0n,

We have forwarded your query to our internal team, who will evaluate your query.
We will provide a response as soon as we get an update from our internal team.
Thank you for your patience.

Thanks and Regards,
Gautami J

0 Likes
marcco_ge
Level 1
First like given First reply posted Welcome!
Level 1

Hello @Ant0n ,

I have the same problem. We tried to reinstall and update psoc Creator , but nothing to do. 

I wish they solve as soon as possible this problem.

 

0 Likes
Bob_TN
Level 1
First like received First reply posted Welcome!
Level 1

Until the expired *.cypress.com certificate is renewed you can do what I did.

Change your computers date from July to June.

Update the components.

Change the computers date back to July.

It worked for me.

marcco_ge
Level 1
First like given First reply posted Welcome!
Level 1

Thanks Bob! It worked!

0 Likes
jonec_4287696
Level 1
First like received First reply posted Welcome!
Level 1

Would Infineon like to issue an updated certificate? Network users cannot both change the date and connect to the network to get the files. OK if you are a simple single user with direct internet connection.

0 Likes
Gautami_12
Moderator
Moderator 50 solutions authored 25 likes received First comment on blog
Moderator

Hi @Ant0n,

This issue was due to PSoC Creator Update Server cannot be accessed.
Now it's solved. You can try updating components to the required versions in PSoC Creator.

Gautami_12_0-1663133910083.png

Thanks for your Patience.

Warm Regards,
Gautami J

 

 

0 Likes
jonec_4287696
Level 1
First like received First reply posted Welcome!
Level 1
I can confirm full functionality has been restored, with 4.4 able to load the updated parts used in a colleagues design.

Regards
John Newell
0 Likes